echo off
rem =====================================================
rem
rem Copyright (c) 1994 Congruent Corporation
rem
rem =====================================================
rem
rem ToolBuster setup script to define the PATH &
rem TB_PATHSUB environment variables. Run before using 
rem ToolBuster or extract parts to insert in your own
rem custom setup.
rem
rem =====================================================
rem User defined variables
rem
rem TBDIR 	= drive of ToolBuster directory
rem

set TBDIR=%1

if "%TBDIR%" == "" goto :usage

rem
rem Home is used by ntemacs and other gnu programs to point
rem to your personal root directory.
rem
rem Home must be on an NTFS filesystem, change the following
rem if it is not, otherwise programs will not work correctly.
rem 

set HOME=%HOMEDRIVE%%HOMEPATH%

rem =====================================================
rem 
rem Gnu programs often reference these variables,
rem NT defines TEMP by default

set TMP=%TEMP%
set TMPDIR=%TEMP%

rem =====================================================
rem
rem Define Path and Path substitution 
rem

echo on
set LIB=%TBDIR%\usr\local\stdcall;%LIB%
set PATH=.;%HOME%;%TBDIR%\usr\local\bin;%SystemRoot%\system32;%PATH%
set TB_PATHSUB=/usr/tmp,%TMPDIR%;/tmp,%TMPDIR%;/dev/null,nul;/bin,%SystemRoot%;/bin/sh,%SystemRoot%\system32\cmd.exe;/bin/cmd.exe,%SystemRoot%\system32\cmd.exe;/usr,%TBDIR%\usr;/usr/bin,%TBDIR%\usr\local\bin
echo off
goto :end

:usage

echo -------------------------------------------------------
echo ! Usage:
echo !	setenv (tbdrive):
echo !
echo !   (tbdrive)    = drive letter where toolbuster is installed
echo !
echo --------------------------------------------------------
:end






